use envconfig::Envconfig;

#[derive(Envconfig, Clone)]
pub struct Config {
    #[envconfig(from = "KDASH_MQTT_SERVER")]
    pub kdash_mqtt_server: String,

    #[envconfig(from = "KDASH_MQTT_PORT")]
    pub kdash_mqtt_port: u16,

    #[envconfig(from = "KDASH_MQTT_USERNAME")]
    pub kdash_mqtt_username: String,

    #[envconfig(from = "KDASH_MQTT_PASSWORD")]
    pub kdash_mqtt_password: String,

    #[envconfig(from = "KDASH_MQTT_TOPIC")]
    pub kdash_mqtt_topic: String,

    #[envconfig(from = "KDASH_MQTT_DISCOVERY_PREFIX")]
    pub kdash_mqtt_discovery_prefix: Option<String>,
}
